use strict;
use ExtUtils::MakeMaker;
use File::ShareDir::Install;

install_share dist => 'share';

WriteMakefile(
    NAME               => 'Map::Tube::Lyon',
    AUTHOR             => q{Gisbert W. Selke <gws@cpan.org>},
    VERSION_FROM       => 'lib/Map/Tube/Lyon.pm',
    ABSTRACT_FROM      => 'lib/Map/Tube/Lyon.pm',
    LICENSE            => 'artistic_2',
    PL_FILES           => { },
    MIN_PERL_VERSION   => 5.006,
    CONFIGURE_REQUIRES => {
                           'ExtUtils::MakeMaker' => 0,
                           'File::ShareDir::Install' => 0,
                          },
    BUILD_REQUIRES     => {
                           'Test::More' => 0,
                          },
    PREREQ_PM          => {
                           'Moo'              => 0,
                           'namespace::clean' => 0,
                           'File::Share'      => 0,
                           'Map::Tube'        => '2.40',
                          },
    dist               => {
                            COMPRESS => 'gzip -9f', SUFFIX => 'gz',
                          },
    clean              => {
                            FILES => 'Map-Tube-Lyon-*',
                          },
    (eval { ExtUtils::MakeMaker->VERSION(6.46) } ? (META_MERGE => {
            'meta-spec' => { version => 2 },
            'provides'  => {
                             'Map::Tube::Lyon' => { file => 'lib/Map/Tube/Lyon.pm', version => '0.02' },
                           },
          })
     : ()
    ),
);

package MY;
use File::ShareDir::Install 'postamble';
